
Imports System.Collections
Imports System

Public Structure Person
    
    Dim Name As String
    Dim Age As Integer
    
End Structure


Public Module Main

	public Sub Main()

		dim p1 as Person
		dim p2 as Person

		p1.Name = "Richard"
		p1.Age = 28

		p2.Name = "Richard"
		p2.Age = 28

		if p1.Equals(p2) then
			Console.WriteLine( "They are the same person" )

		end if

		
		
	End Sub

End Module

